# GstPlayer

Starting from GStreamer 1.20, application developers are strongly advised to migrate to GstPlay. GstPlayer will be deprecated in 1.20 and most likely removed by 1.24.

## GstPlayer

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstPlayer

### Class structure

#### GstPlayerClass

### GstPlayer.PlayerClass

## GstPlayer.Player

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstPlayer.Player

## GstPlayer.Player

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstPlayer.Player

### Constructors

#### gst_player_new

    GstPlayer *
    gst_player_new (GstPlayerVideoRenderer * video_renderer,
                    GstPlayerSignalDispatcher * signal_dispatcher)

Creates a new GstPlayer instance that uses signal_dispatcher to dispatch signals to some event loop system, or emits signals directly if NULL is passed. See gst_player_g_main_context_signal_dispatcher_new.

Video is going to be rendered by video_renderer, or if NULL is provided no special video set up will be done and some default handling will be performed.

This also initializes GStreamer via `gst_init()` on the first call if this didn't happen before.

Parameters:

`video_renderer` ( [transfer: full][allow-none]) –

GstPlayerVideoRenderer to use

`signal_dispatcher` ( [transfer: full][allow-none]) –

GstPlayerSignalDispatcher to use

Returns ( [transfer: full]) –

a new GstPlayer instance

#### GstPlayer.Player.prototype.new

    function GstPlayer.Player.prototype.new(video_renderer: GstPlayer.PlayerVideoRenderer, signal_dispatcher: GstPlayer.PlayerSignalDispatcher): {
        // javascript wrapper for 'gst_player_new'
    }

Creates a new GstPlayer.Player instance that uses signal_dispatcher to dispatch signals to some event loop system, or emits signals directly if NULL is passed. See GstPlayer.PlayerGMainContextSignalDispatcher.prototype.new.

Video is going to be rendered by video_renderer, or if null is provided no special video set up will be done and some default handling will be performed.

This also initializes GStreamer via `gst_init()` on the first call if this didn't happen before.

Parameters:

`video_renderer` (GstPlayer.PlayerVideoRenderer) –

GstPlayerVideoRenderer to use

`signal_dispatcher` (GstPlayer.PlayerSignalDispatcher) –

GstPlayerSignalDispatcher to use

Returns (GstPlayer.Player) –

a new GstPlayer.Player instance

#### GstPlayer.Player.new

    def GstPlayer.Player.new (video_renderer, signal_dispatcher):
        #python wrapper for 'gst_player_new'

Creates a new GstPlayer.Player instance that uses signal_dispatcher to dispatch signals to some event loop system, or emits signals directly if NULL is passed. See GstPlayer.PlayerGMainContextSignalDispatcher.new.

Video is going to be rendered by video_renderer, or if None is provided no special video set up will be done and some default handling will be performed.

This also initializes GStreamer via `gst_init()` on the first call if this didn't happen before.

Parameters:

`video_renderer` (GstPlayer.PlayerVideoRenderer) –

GstPlayerVideoRenderer to use

`signal_dispatcher` (GstPlayer.PlayerSignalDispatcher) –

GstPlayerSignalDispatcher to use

Returns (GstPlayer.Player) –

a new GstPlayer.Player instance

### Methods

#### gst_player_get_audio_video_offset

    gint64
    gst_player_get_audio_video_offset (GstPlayer * player)

Retrieve the current value of audio-video-offset property

Parameters:

`player` –

GstPlayer instance

Returns –

The current value of audio-video-offset in nanoseconds

Since : 1.10

#### GstPlayer.Player.prototype.get_audio_video_offset

    function GstPlayer.Player.prototype.get_audio_video_offset(): {
        // javascript wrapper for 'gst_player_get_audio_video_offset'
    }

Retrieve the current value of audio-video-offset property

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (Number) –

The current value of audio-video-offset in nanoseconds

Since : 1.10

#### GstPlayer.Player.get_audio_video_offset

    def GstPlayer.Player.get_audio_video_offset (self):
        #python wrapper for 'gst_player_get_audio_video_offset'

Retrieve the current value of audio-video-offset property

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (int) –

The current value of audio-video-offset in nanoseconds

Since : 1.10

#### gst_player_get_color_balance

    gdouble
    gst_player_get_color_balance (GstPlayer * player,
                                  GstPlayerColorBalanceType type)

Retrieve the current value of the indicated type.

Parameters:

`player` –

GstPlayer instance

`type` –

GstPlayerColorBalanceType

Returns –

The current value of type, between [0,1]. In case of error -1 is returned.

#### GstPlayer.Player.prototype.get_color_balance

    function GstPlayer.Player.prototype.get_color_balance(type: GstPlayer.PlayerColorBalanceType): {
        // javascript wrapper for 'gst_player_get_color_balance'
    }

Retrieve the current value of the indicated type.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`type` (GstPlayer.PlayerColorBalanceType) –

GstPlayer.PlayerColorBalanceType

Returns (Number) –

The current value of type, between [0,1]. In case of error -1 is returned.

#### GstPlayer.Player.get_color_balance

    def GstPlayer.Player.get_color_balance (self, type):
        #python wrapper for 'gst_player_get_color_balance'

Retrieve the current value of the indicated type.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`type` (GstPlayer.PlayerColorBalanceType) –

GstPlayer.PlayerColorBalanceType

Returns (float) –

The current value of type, between [0,1]. In case of error -1 is returned.

#### gst_player_get_config

    GstStructure *
    gst_player_get_config (GstPlayer * player)

Get a copy of the current configuration of the player. This configuration can either be modified and used for the gst_player_set_config call or it must be freed after usage.

Parameters:

`player` –

GstPlayer instance

Returns ( [transfer: full]) –

a copy of the current configuration of player. Use gst_structure_free after usage or gst_player_set_config.

Since : 1.10

#### GstPlayer.Player.prototype.get_config

    function GstPlayer.Player.prototype.get_config(): {
        // javascript wrapper for 'gst_player_get_config'
    }

Get a copy of the current configuration of the player. This configuration can either be modified and used for the GstPlayer.Player.prototype.set_config call or it must be freed after usage.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (Gst.Structure) –

a copy of the current configuration of player. Use Gst.Structure.prototype.free after usage or GstPlayer.Player.prototype.set_config.

Since : 1.10

#### GstPlayer.Player.get_config

    def GstPlayer.Player.get_config (self):
        #python wrapper for 'gst_player_get_config'

Get a copy of the current configuration of the player. This configuration can either be modified and used for the GstPlayer.Player.set_config call or it must be freed after usage.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (Gst.Structure) –

a copy of the current configuration of player. Use Gst.Structure.free after usage or GstPlayer.Player.set_config.

Since : 1.10

#### gst_player_get_current_audio_track

    GstPlayerAudioInfo *
    gst_player_get_current_audio_track (GstPlayer * player)

A Function to get current audio GstPlayerAudioInfo instance.

Parameters:

`player` –

GstPlayer instance

Returns ( [transfer: full][nullable]) –

current audio track.

The caller should free it with g_object_unref

#### GstPlayer.Player.prototype.get_current_audio_track

    function GstPlayer.Player.prototype.get_current_audio_track(): {
        // javascript wrapper for 'gst_player_get_current_audio_track'
    }

A Function to get current audio GstPlayer.PlayerAudioInfo instance.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (GstPlayer.PlayerAudioInfo) –

current audio track.

The caller should free it with GObject.Object.prototype.unref

#### GstPlayer.Player.get_current_audio_track

    def GstPlayer.Player.get_current_audio_track (self):
        #python wrapper for 'gst_player_get_current_audio_track'

A Function to get current audio GstPlayer.PlayerAudioInfo instance.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (GstPlayer.PlayerAudioInfo) –

current audio track.

The caller should free it with GObject.Object.unref

#### gst_player_get_current_subtitle_track

    GstPlayerSubtitleInfo *
    gst_player_get_current_subtitle_track (GstPlayer * player)

A Function to get current subtitle GstPlayerSubtitleInfo instance.

Parameters:

`player` –

GstPlayer instance

Returns ( [transfer: full][nullable]) –

current subtitle track.

The caller should free it with g_object_unref

#### GstPlayer.Player.prototype.get_current_subtitle_track

    function GstPlayer.Player.prototype.get_current_subtitle_track(): {
        // javascript wrapper for 'gst_player_get_current_subtitle_track'
    }

A Function to get current subtitle GstPlayer.PlayerSubtitleInfo instance.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (GstPlayer.PlayerSubtitleInfo) –

current subtitle track.

The caller should free it with GObject.Object.prototype.unref

#### GstPlayer.Player.get_current_subtitle_track

    def GstPlayer.Player.get_current_subtitle_track (self):
        #python wrapper for 'gst_player_get_current_subtitle_track'

A Function to get current subtitle GstPlayer.PlayerSubtitleInfo instance.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (GstPlayer.PlayerSubtitleInfo) –

current subtitle track.

The caller should free it with GObject.Object.unref

#### gst_player_get_current_video_track

    GstPlayerVideoInfo *
    gst_player_get_current_video_track (GstPlayer * player)

A Function to get current video GstPlayerVideoInfo instance.

Parameters:

`player` –

GstPlayer instance

Returns ( [transfer: full][nullable]) –

current video track.

The caller should free it with g_object_unref

#### GstPlayer.Player.prototype.get_current_video_track

    function GstPlayer.Player.prototype.get_current_video_track(): {
        // javascript wrapper for 'gst_player_get_current_video_track'
    }

A Function to get current video GstPlayer.PlayerVideoInfo instance.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (GstPlayer.PlayerVideoInfo) –

current video track.

The caller should free it with GObject.Object.prototype.unref

#### GstPlayer.Player.get_current_video_track

    def GstPlayer.Player.get_current_video_track (self):
        #python wrapper for 'gst_player_get_current_video_track'

A Function to get current video GstPlayer.PlayerVideoInfo instance.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (GstPlayer.PlayerVideoInfo) –

current video track.

The caller should free it with GObject.Object.unref

#### gst_player_get_current_visualization

    gchar *
    gst_player_get_current_visualization (GstPlayer * player)

Parameters:

`player` –

GstPlayer instance

Returns ( [transfer: full][nullable]) –

Name of the currently enabled visualization. g_free after usage.

#### GstPlayer.Player.prototype.get_current_visualization

    function GstPlayer.Player.prototype.get_current_visualization(): {
        // javascript wrapper for 'gst_player_get_current_visualization'
    }

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (String) –

Name of the currently enabled visualization. GLib.prototype.free after usage.

#### GstPlayer.Player.get_current_visualization

    def GstPlayer.Player.get_current_visualization (self):
        #python wrapper for 'gst_player_get_current_visualization'

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (str) –

Name of the currently enabled visualization. GLib.free after usage.

#### gst_player_get_duration

    GstClockTime
    gst_player_get_duration (GstPlayer * player)

Retrieves the duration of the media stream that self represents.

Parameters:

`player` –

GstPlayer instance

Returns –

the duration of the currently-playing media stream, in nanoseconds.

#### GstPlayer.Player.prototype.get_duration

    function GstPlayer.Player.prototype.get_duration(): {
        // javascript wrapper for 'gst_player_get_duration'
    }

Retrieves the duration of the media stream that self represents.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (Number) –

the duration of the currently-playing media stream, in nanoseconds.

#### GstPlayer.Player.get_duration

    def GstPlayer.Player.get_duration (self):
        #python wrapper for 'gst_player_get_duration'

Retrieves the duration of the media stream that self represents.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (int) –

the duration of the currently-playing media stream, in nanoseconds.

#### gst_player_get_media_info

    GstPlayerMediaInfo *
    gst_player_get_media_info (GstPlayer * player)

A Function to get the current media info GstPlayerMediaInfo instance.

Parameters:

`player` –

GstPlayer instance

Returns ( [transfer: full][nullable]) –

media info instance.

The caller should free it with g_object_unref

#### GstPlayer.Player.prototype.get_media_info

    function GstPlayer.Player.prototype.get_media_info(): {
        // javascript wrapper for 'gst_player_get_media_info'
    }

A Function to get the current media info GstPlayer.PlayerMediaInfo instance.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (GstPlayer.PlayerMediaInfo) –

media info instance.

The caller should free it with GObject.Object.prototype.unref

#### GstPlayer.Player.get_media_info

    def GstPlayer.Player.get_media_info (self):
        #python wrapper for 'gst_player_get_media_info'

A Function to get the current media info GstPlayer.PlayerMediaInfo instance.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (GstPlayer.PlayerMediaInfo) –

media info instance.

The caller should free it with GObject.Object.unref

#### gst_player_get_multiview_flags

    GstVideoMultiviewFlags
    gst_player_get_multiview_flags (GstPlayer * player)

Retrieve the current value of the indicated type.

Parameters:

`player` –

GstPlayer instance

Returns –

The current value of type, Default: 0x00000000 "none

Since : 1.10

#### GstPlayer.Player.prototype.get_multiview_flags

    function GstPlayer.Player.prototype.get_multiview_flags(): {
        // javascript wrapper for 'gst_player_get_multiview_flags'
    }

Retrieve the current value of the indicated type.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (GstVideo.VideoMultiviewFlags) –

The current value of type, Default: 0x00000000 "none

Since : 1.10

#### GstPlayer.Player.get_multiview_flags

    def GstPlayer.Player.get_multiview_flags (self):
        #python wrapper for 'gst_player_get_multiview_flags'

Retrieve the current value of the indicated type.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (GstVideo.VideoMultiviewFlags) –

The current value of type, Default: 0x00000000 "none

Since : 1.10

#### gst_player_get_multiview_mode

    GstVideoMultiviewFramePacking
    gst_player_get_multiview_mode (GstPlayer * player)

Retrieve the current value of the indicated type.

Parameters:

`player` –

GstPlayer instance

Returns –

The current value of type, Default: -1 "none"

Since : 1.10

#### GstPlayer.Player.prototype.get_multiview_mode

    function GstPlayer.Player.prototype.get_multiview_mode(): {
        // javascript wrapper for 'gst_player_get_multiview_mode'
    }

Retrieve the current value of the indicated type.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (GstVideo.VideoMultiviewFramePacking) –

The current value of type, Default: -1 "none"

Since : 1.10

#### GstPlayer.Player.get_multiview_mode

    def GstPlayer.Player.get_multiview_mode (self):
        #python wrapper for 'gst_player_get_multiview_mode'

Retrieve the current value of the indicated type.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (GstVideo.VideoMultiviewFramePacking) –

The current value of type, Default: -1 "none"

Since : 1.10

#### gst_player_get_mute

    gboolean
    gst_player_get_mute (GstPlayer * player)

Parameters:

`player` –

GstPlayer instance

Returns –

TRUE if the currently-playing stream is muted.

#### GstPlayer.Player.prototype.get_mute

    function GstPlayer.Player.prototype.get_mute(): {
        // javascript wrapper for 'gst_player_get_mute'
    }

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (Number) –

true if the currently-playing stream is muted.

#### GstPlayer.Player.get_mute

    def GstPlayer.Player.get_mute (self):
        #python wrapper for 'gst_player_get_mute'

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (bool) –

True if the currently-playing stream is muted.

#### gst_player_get_pipeline

    GstElement *
    gst_player_get_pipeline (GstPlayer * player)

Parameters:

`player` –

GstPlayer instance

Returns ( [transfer: full]) –

The internal playbin instance.

The caller should free it with g_object_unref

#### GstPlayer.Player.prototype.get_pipeline

    function GstPlayer.Player.prototype.get_pipeline(): {
        // javascript wrapper for 'gst_player_get_pipeline'
    }

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (Gst.Element) –

The internal playbin instance.

The caller should free it with GObject.Object.prototype.unref

#### GstPlayer.Player.get_pipeline

    def GstPlayer.Player.get_pipeline (self):
        #python wrapper for 'gst_player_get_pipeline'

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (Gst.Element) –

The internal playbin instance.

The caller should free it with GObject.Object.unref

#### gst_player_get_position

    GstClockTime
    gst_player_get_position (GstPlayer * player)

Parameters:

`player` –

GstPlayer instance

Returns –

the absolute position time, in nanoseconds, of the currently-playing stream.

#### GstPlayer.Player.prototype.get_position

    function GstPlayer.Player.prototype.get_position(): {
        // javascript wrapper for 'gst_player_get_position'
    }

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (Number) –

the absolute position time, in nanoseconds, of the currently-playing stream.

#### GstPlayer.Player.get_position

    def GstPlayer.Player.get_position (self):
        #python wrapper for 'gst_player_get_position'

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (int) –

the absolute position time, in nanoseconds, of the currently-playing stream.

#### gst_player_get_rate

    gdouble
    gst_player_get_rate (GstPlayer * player)

Parameters:

`player` –

GstPlayer instance

Returns –

current playback rate

#### GstPlayer.Player.prototype.get_rate

    function GstPlayer.Player.prototype.get_rate(): {
        // javascript wrapper for 'gst_player_get_rate'
    }

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (Number) –

current playback rate

#### GstPlayer.Player.get_rate

    def GstPlayer.Player.get_rate (self):
        #python wrapper for 'gst_player_get_rate'

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (float) –

current playback rate

#### gst_player_get_subtitle_uri

    gchar *
    gst_player_get_subtitle_uri (GstPlayer * player)

current subtitle URI

Parameters:

`player` –

GstPlayer instance

Returns ( [transfer: full][nullable]) –

URI of the current external subtitle. g_free after usage.

#### GstPlayer.Player.prototype.get_subtitle_uri

    function GstPlayer.Player.prototype.get_subtitle_uri(): {
        // javascript wrapper for 'gst_player_get_subtitle_uri'
    }

current subtitle URI

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (String) –

URI of the current external subtitle. GLib.prototype.free after usage.

#### GstPlayer.Player.get_subtitle_uri

    def GstPlayer.Player.get_subtitle_uri (self):
        #python wrapper for 'gst_player_get_subtitle_uri'

current subtitle URI

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (str) –

URI of the current external subtitle. GLib.free after usage.

#### gst_player_get_subtitle_video_offset

    gint64
    gst_player_get_subtitle_video_offset (GstPlayer * player)

Retrieve the current value of subtitle-video-offset property

Parameters:

`player` –

GstPlayer instance

Returns –

The current value of subtitle-video-offset in nanoseconds

Since : 1.16

#### GstPlayer.Player.prototype.get_subtitle_video_offset

    function GstPlayer.Player.prototype.get_subtitle_video_offset(): {
        // javascript wrapper for 'gst_player_get_subtitle_video_offset'
    }

Retrieve the current value of subtitle-video-offset property

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (Number) –

The current value of subtitle-video-offset in nanoseconds

Since : 1.16

#### GstPlayer.Player.get_subtitle_video_offset

    def GstPlayer.Player.get_subtitle_video_offset (self):
        #python wrapper for 'gst_player_get_subtitle_video_offset'

Retrieve the current value of subtitle-video-offset property

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (int) –

The current value of subtitle-video-offset in nanoseconds

Since : 1.16

#### gst_player_get_uri

    gchar *
    gst_player_get_uri (GstPlayer * player)

Gets the URI of the currently-playing stream.

Parameters:

`player` –

GstPlayer instance

Returns ( [transfer: full][nullable]) –

a string containing the URI of the currently-playing stream. g_free after usage.

#### GstPlayer.Player.prototype.get_uri

    function GstPlayer.Player.prototype.get_uri(): {
        // javascript wrapper for 'gst_player_get_uri'
    }

Gets the URI of the currently-playing stream.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (String) –

a string containing the URI of the currently-playing stream. GLib.prototype.free after usage.

#### GstPlayer.Player.get_uri

    def GstPlayer.Player.get_uri (self):
        #python wrapper for 'gst_player_get_uri'

Gets the URI of the currently-playing stream.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (str) –

a string containing the URI of the currently-playing stream. GLib.free after usage.

#### gst_player_get_video_snapshot

    GstSample *
    gst_player_get_video_snapshot (GstPlayer * player,
                                   GstPlayerSnapshotFormat format,
                                   const GstStructure * config)

Get a snapshot of the currently selected video stream, if any. The format can be selected with format and optional configuration is possible with config Currently supported settings are:

- width, height of type G_TYPE_INT
- pixel-aspect-ratio of type GST_TYPE_FRACTION Except for GST_PLAYER_THUMBNAIL_RAW_NATIVE format, if no config is set, pixel-aspect-ratio would be 1/1

Parameters:

`player` –

GstPlayer instance

`format` –

output format of the video snapshot

`config` ( [allow-none]) –

Additional configuration

Returns ( [transfer: full][nullable]) –

Current video snapshot sample or NULL on failure

Since : 1.12

#### GstPlayer.Player.prototype.get_video_snapshot

    function GstPlayer.Player.prototype.get_video_snapshot(format: GstPlayer.PlayerSnapshotFormat, config: Gst.Structure): {
        // javascript wrapper for 'gst_player_get_video_snapshot'
    }

Get a snapshot of the currently selected video stream, if any. The format can be selected with format and optional configuration is possible with config Currently supported settings are:

- width, height of type G_TYPE_INT
- pixel-aspect-ratio of type GST_TYPE_FRACTION Except for GST_PLAYER_THUMBNAIL_RAW_NATIVE format, if no config is set, pixel-aspect-ratio would be 1/1

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`format` (GstPlayer.PlayerSnapshotFormat) –

output format of the video snapshot

`config` (Gst.Structure) –

Additional configuration

Returns (Gst.Sample) –

Current video snapshot sample or null on failure

Since : 1.12

#### GstPlayer.Player.get_video_snapshot

    def GstPlayer.Player.get_video_snapshot (self, format, config):
        #python wrapper for 'gst_player_get_video_snapshot'

Get a snapshot of the currently selected video stream, if any. The format can be selected with format and optional configuration is possible with config Currently supported settings are:

- width, height of type G_TYPE_INT
- pixel-aspect-ratio of type GST_TYPE_FRACTION Except for GST_PLAYER_THUMBNAIL_RAW_NATIVE format, if no config is set, pixel-aspect-ratio would be 1/1

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`format` (GstPlayer.PlayerSnapshotFormat) –

output format of the video snapshot

`config` (Gst.Structure) –

Additional configuration

Returns (Gst.Sample) –

Current video snapshot sample or None on failure

Since : 1.12

#### gst_player_get_volume

    gdouble
    gst_player_get_volume (GstPlayer * player)

Returns the current volume level, as a percentage between 0 and 1.

Parameters:

`player` –

GstPlayer instance

Returns –

the volume as percentage between 0 and 1.

#### GstPlayer.Player.prototype.get_volume

    function GstPlayer.Player.prototype.get_volume(): {
        // javascript wrapper for 'gst_player_get_volume'
    }

Returns the current volume level, as a percentage between 0 and 1.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (Number) –

the volume as percentage between 0 and 1.

#### GstPlayer.Player.get_volume

    def GstPlayer.Player.get_volume (self):
        #python wrapper for 'gst_player_get_volume'

Returns the current volume level, as a percentage between 0 and 1.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (float) –

the volume as percentage between 0 and 1.

#### gst_player_has_color_balance

    gboolean
    gst_player_has_color_balance (GstPlayer * player)

Checks whether the player has color balance support available.

Parameters:

`player` –

GstPlayer instance

Returns –

TRUE if player has color balance support. Otherwise, FALSE.

#### GstPlayer.Player.prototype.has_color_balance

    function GstPlayer.Player.prototype.has_color_balance(): {
        // javascript wrapper for 'gst_player_has_color_balance'
    }

Checks whether the player has color balance support available.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (Number) –

true if player has color balance support. Otherwise, false.

#### GstPlayer.Player.has_color_balance

    def GstPlayer.Player.has_color_balance (self):
        #python wrapper for 'gst_player_has_color_balance'

Checks whether the player has color balance support available.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

Returns (bool) –

True if player has color balance support. Otherwise, False.

#### gst_player_pause

    gst_player_pause (GstPlayer * player)

Pauses the current stream.

Parameters:

`player` –

GstPlayer instance

#### GstPlayer.Player.prototype.pause

    function GstPlayer.Player.prototype.pause(): {
        // javascript wrapper for 'gst_player_pause'
    }

Pauses the current stream.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

#### GstPlayer.Player.pause

    def GstPlayer.Player.pause (self):
        #python wrapper for 'gst_player_pause'

Pauses the current stream.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

#### gst_player_play

    gst_player_play (GstPlayer * player)

Request to play the loaded stream.

Parameters:

`player` –

GstPlayer instance

#### GstPlayer.Player.prototype.play

    function GstPlayer.Player.prototype.play(): {
        // javascript wrapper for 'gst_player_play'
    }

Request to play the loaded stream.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

#### GstPlayer.Player.play

    def GstPlayer.Player.play (self):
        #python wrapper for 'gst_player_play'

Request to play the loaded stream.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

#### gst_player_seek

    gst_player_seek (GstPlayer * player,
                     GstClockTime position)

Seeks the currently-playing stream to the absolute position time in nanoseconds.

Parameters:

`player` –

GstPlayer instance

`position` –

position to seek in nanoseconds

#### GstPlayer.Player.prototype.seek

    function GstPlayer.Player.prototype.seek(position: Number): {
        // javascript wrapper for 'gst_player_seek'
    }

Seeks the currently-playing stream to the absolute position time in nanoseconds.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`position` (Number) –

position to seek in nanoseconds

#### GstPlayer.Player.seek

    def GstPlayer.Player.seek (self, position):
        #python wrapper for 'gst_player_seek'

Seeks the currently-playing stream to the absolute position time in nanoseconds.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`position` (int) –

position to seek in nanoseconds

#### gst_player_set_audio_track

    gboolean
    gst_player_set_audio_track (GstPlayer * player,
                                gint stream_index)

Parameters:

`player` –

GstPlayer instance

`stream_index` –

stream index

Returns –

TRUE or FALSE

Sets the audio track stream_idex.

#### GstPlayer.Player.prototype.set_audio_track

    function GstPlayer.Player.prototype.set_audio_track(stream_index: Number): {
        // javascript wrapper for 'gst_player_set_audio_track'
    }

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`stream_index` (Number) –

stream index

Returns (Number) –

true or false

Sets the audio track stream_idex.

#### GstPlayer.Player.set_audio_track

    def GstPlayer.Player.set_audio_track (self, stream_index):
        #python wrapper for 'gst_player_set_audio_track'

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`stream_index` (int) –

stream index

Returns (bool) –

True or False

Sets the audio track stream_idex.

#### gst_player_set_audio_track_enabled

    gst_player_set_audio_track_enabled (GstPlayer * player,
                                        gboolean enabled)

Enable or disable the current audio track.

Parameters:

`player` –

GstPlayer instance

`enabled` –

TRUE or FALSE

#### GstPlayer.Player.prototype.set_audio_track_enabled

    function GstPlayer.Player.prototype.set_audio_track_enabled(enabled: Number): {
        // javascript wrapper for 'gst_player_set_audio_track_enabled'
    }

Enable or disable the current audio track.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`enabled` (Number) –

TRUE or FALSE

#### GstPlayer.Player.set_audio_track_enabled

    def GstPlayer.Player.set_audio_track_enabled (self, enabled):
        #python wrapper for 'gst_player_set_audio_track_enabled'

Enable or disable the current audio track.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`enabled` (bool) –

TRUE or FALSE

#### gst_player_set_audio_video_offset

    gst_player_set_audio_video_offset (GstPlayer * player,
                                       gint64 offset)

Sets audio-video-offset property by value of offset

Parameters:

`player` –

GstPlayer instance

`offset` –

gint64 in nanoseconds

Since : 1.10

#### GstPlayer.Player.prototype.set_audio_video_offset

    function GstPlayer.Player.prototype.set_audio_video_offset(offset: Number): {
        // javascript wrapper for 'gst_player_set_audio_video_offset'
    }

Sets audio-video-offset property by value of offset

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`offset` (Number) –

Number in nanoseconds

Since : 1.10

#### GstPlayer.Player.set_audio_video_offset

    def GstPlayer.Player.set_audio_video_offset (self, offset):
        #python wrapper for 'gst_player_set_audio_video_offset'

Sets audio-video-offset property by value of offset

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`offset` (int) –

int in nanoseconds

Since : 1.10

#### gst_player_set_color_balance

    gst_player_set_color_balance (GstPlayer * player,
                                  GstPlayerColorBalanceType type,
                                  gdouble value)

Sets the current value of the indicated channel type to the passed value.

Parameters:

`player` –

GstPlayer instance

`type` –

GstPlayerColorBalanceType

`value` –

The new value for the type, ranged [0,1]

#### GstPlayer.Player.prototype.set_color_balance

    function GstPlayer.Player.prototype.set_color_balance(type: GstPlayer.PlayerColorBalanceType, value: Number): {
        // javascript wrapper for 'gst_player_set_color_balance'
    }

Sets the current value of the indicated channel type to the passed value.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`type` (GstPlayer.PlayerColorBalanceType) –

GstPlayer.PlayerColorBalanceType

`value` (Number) –

The new value for the type, ranged [0,1]

#### GstPlayer.Player.set_color_balance

    def GstPlayer.Player.set_color_balance (self, type, value):
        #python wrapper for 'gst_player_set_color_balance'

Sets the current value of the indicated channel type to the passed value.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`type` (GstPlayer.PlayerColorBalanceType) –

GstPlayer.PlayerColorBalanceType

`value` (float) –

The new value for the type, ranged [0,1]

#### gst_player_set_config

    gboolean
    gst_player_set_config (GstPlayer * player,
                           GstStructure * config)

Set the configuration of the player. If the player is already configured, and the configuration haven't change, this function will return TRUE. If the player is not in the GST_PLAYER_STATE_STOPPED, this method will return FALSE and active configuration will remain.

config is a GstStructure that contains the configuration parameters for the player.

This function takes ownership of config.

Parameters:

`player` –

GstPlayer instance

`config` ( [transfer: full]) –

a GstStructure

Returns –

TRUE when the configuration could be set.

Since : 1.10

#### GstPlayer.Player.prototype.set_config

    function GstPlayer.Player.prototype.set_config(config: Gst.Structure): {
        // javascript wrapper for 'gst_player_set_config'
    }

Set the configuration of the player. If the player is already configured, and the configuration haven't change, this function will return true. If the player is not in the GST_PLAYER_STATE_STOPPED, this method will return false and active configuration will remain.

config is a Gst.Structure that contains the configuration parameters for the player.

This function takes ownership of config.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`config` (Gst.Structure) –

a Gst.Structure

Returns (Number) –

true when the configuration could be set.

Since : 1.10

#### GstPlayer.Player.set_config

    def GstPlayer.Player.set_config (self, config):
        #python wrapper for 'gst_player_set_config'

Set the configuration of the player. If the player is already configured, and the configuration haven't change, this function will return True. If the player is not in the GST_PLAYER_STATE_STOPPED, this method will return False and active configuration will remain.

config is a Gst.Structure that contains the configuration parameters for the player.

This function takes ownership of config.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`config` (Gst.Structure) –

a Gst.Structure

Returns (bool) –

True when the configuration could be set.

Since : 1.10

#### gst_player_set_multiview_flags

    gst_player_set_multiview_flags (GstPlayer * player,
                                    GstVideoMultiviewFlags flags)

Sets the current value of the indicated mode type to the passed value.

Parameters:

`player` –

GstPlayer instance

`flags` –

The new value for the type

Since : 1.10

#### GstPlayer.Player.prototype.set_multiview_flags

    function GstPlayer.Player.prototype.set_multiview_flags(flags: GstVideo.VideoMultiviewFlags): {
        // javascript wrapper for 'gst_player_set_multiview_flags'
    }

Sets the current value of the indicated mode type to the passed value.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`flags` (GstVideo.VideoMultiviewFlags) –

The new value for the type

Since : 1.10

#### GstPlayer.Player.set_multiview_flags

    def GstPlayer.Player.set_multiview_flags (self, flags):
        #python wrapper for 'gst_player_set_multiview_flags'

Sets the current value of the indicated mode type to the passed value.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`flags` (GstVideo.VideoMultiviewFlags) –

The new value for the type

Since : 1.10

#### gst_player_set_multiview_mode

    gst_player_set_multiview_mode (GstPlayer * player,
                                   GstVideoMultiviewFramePacking mode)

Sets the current value of the indicated mode type to the passed value.

Parameters:

`player` –

GstPlayer instance

`mode` –

The new value for the type

Since : 1.10

#### GstPlayer.Player.prototype.set_multiview_mode

    function GstPlayer.Player.prototype.set_multiview_mode(mode: GstVideo.VideoMultiviewFramePacking): {
        // javascript wrapper for 'gst_player_set_multiview_mode'
    }

Sets the current value of the indicated mode type to the passed value.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`mode` (GstVideo.VideoMultiviewFramePacking) –

The new value for the type

Since : 1.10

#### GstPlayer.Player.set_multiview_mode

    def GstPlayer.Player.set_multiview_mode (self, mode):
        #python wrapper for 'gst_player_set_multiview_mode'

Sets the current value of the indicated mode type to the passed value.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`mode` (GstVideo.VideoMultiviewFramePacking) –

The new value for the type

Since : 1.10

#### gst_player_set_mute

    gst_player_set_mute (GstPlayer * player,
                         gboolean val)

TRUE if the currently-playing stream should be muted.

Parameters:

`player` –

GstPlayer instance

`val` –

Mute state the should be set

#### GstPlayer.Player.prototype.set_mute

    function GstPlayer.Player.prototype.set_mute(val: Number): {
        // javascript wrapper for 'gst_player_set_mute'
    }

true if the currently-playing stream should be muted.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`val` (Number) –

Mute state the should be set

#### GstPlayer.Player.set_mute

    def GstPlayer.Player.set_mute (self, val):
        #python wrapper for 'gst_player_set_mute'

True if the currently-playing stream should be muted.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`val` (bool) –

Mute state the should be set

#### gst_player_set_rate

    gst_player_set_rate (GstPlayer * player,
                         gdouble rate)

Playback at specified rate

Parameters:

`player` –

GstPlayer instance

`rate` –

playback rate

#### GstPlayer.Player.prototype.set_rate

    function GstPlayer.Player.prototype.set_rate(rate: Number): {
        // javascript wrapper for 'gst_player_set_rate'
    }

Playback at specified rate

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`rate` (Number) –

playback rate

#### GstPlayer.Player.set_rate

    def GstPlayer.Player.set_rate (self, rate):
        #python wrapper for 'gst_player_set_rate'

Playback at specified rate

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`rate` (float) –

playback rate

#### gst_player_set_subtitle_track

    gboolean
    gst_player_set_subtitle_track (GstPlayer * player,
                                   gint stream_index)

Parameters:

`player` –

GstPlayer instance

`stream_index` –

stream index

Returns –

TRUE or FALSE

Sets the subtitle stack stream_index.

#### GstPlayer.Player.prototype.set_subtitle_track

    function GstPlayer.Player.prototype.set_subtitle_track(stream_index: Number): {
        // javascript wrapper for 'gst_player_set_subtitle_track'
    }

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`stream_index` (Number) –

stream index

Returns (Number) –

true or false

Sets the subtitle stack stream_index.

#### GstPlayer.Player.set_subtitle_track

    def GstPlayer.Player.set_subtitle_track (self, stream_index):
        #python wrapper for 'gst_player_set_subtitle_track'

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`stream_index` (int) –

stream index

Returns (bool) –

True or False

Sets the subtitle stack stream_index.

#### gst_player_set_subtitle_track_enabled

    gst_player_set_subtitle_track_enabled (GstPlayer * player,
                                           gboolean enabled)

Enable or disable the current subtitle track.

Parameters:

`player` –

GstPlayer instance

`enabled` –

TRUE or FALSE

#### GstPlayer.Player.prototype.set_subtitle_track_enabled

    function GstPlayer.Player.prototype.set_subtitle_track_enabled(enabled: Number): {
        // javascript wrapper for 'gst_player_set_subtitle_track_enabled'
    }

Enable or disable the current subtitle track.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`enabled` (Number) –

TRUE or FALSE

#### GstPlayer.Player.set_subtitle_track_enabled

    def GstPlayer.Player.set_subtitle_track_enabled (self, enabled):
        #python wrapper for 'gst_player_set_subtitle_track_enabled'

Enable or disable the current subtitle track.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`enabled` (bool) –

TRUE or FALSE

#### gst_player_set_subtitle_uri

    gst_player_set_subtitle_uri (GstPlayer * player,
                                 const gchar * uri)

Sets the external subtitle URI. This should be combined with a call to gst_player_set_subtitle_track_enabled(@player, TRUE) so the subtitles are actually rendered.

Parameters:

`player` –

GstPlayer instance

`uri` ( [nullable]) –

subtitle URI

#### GstPlayer.Player.prototype.set_subtitle_uri

    function GstPlayer.Player.prototype.set_subtitle_uri(uri: String): {
        // javascript wrapper for 'gst_player_set_subtitle_uri'
    }

Sets the external subtitle URI. This should be combined with a call to gst_player_set_subtitle_track_enabled(@player, TRUE) so the subtitles are actually rendered.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`uri` (String) –

subtitle URI

#### GstPlayer.Player.set_subtitle_uri

    def GstPlayer.Player.set_subtitle_uri (self, uri):
        #python wrapper for 'gst_player_set_subtitle_uri'

Sets the external subtitle URI. This should be combined with a call to gst_player_set_subtitle_track_enabled(@player, TRUE) so the subtitles are actually rendered.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`uri` (str) –

subtitle URI

#### gst_player_set_subtitle_video_offset

    gst_player_set_subtitle_video_offset (GstPlayer * player,
                                          gint64 offset)

Sets subtitle-video-offset property by value of offset

Parameters:

`player` –

GstPlayer instance

`offset` –

gint64 in nanoseconds

Since : 1.16

#### GstPlayer.Player.prototype.set_subtitle_video_offset

    function GstPlayer.Player.prototype.set_subtitle_video_offset(offset: Number): {
        // javascript wrapper for 'gst_player_set_subtitle_video_offset'
    }

Sets subtitle-video-offset property by value of offset

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`offset` (Number) –

Number in nanoseconds

Since : 1.16

#### GstPlayer.Player.set_subtitle_video_offset

    def GstPlayer.Player.set_subtitle_video_offset (self, offset):
        #python wrapper for 'gst_player_set_subtitle_video_offset'

Sets subtitle-video-offset property by value of offset

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`offset` (int) –

int in nanoseconds

Since : 1.16

#### gst_player_set_uri

    gst_player_set_uri (GstPlayer * player,
                        const gchar * uri)

Sets the next URI to play.

Parameters:

`player` –

GstPlayer instance

`uri` ( [nullable]) –

next URI to play.

#### GstPlayer.Player.prototype.set_uri

    function GstPlayer.Player.prototype.set_uri(uri: String): {
        // javascript wrapper for 'gst_player_set_uri'
    }

Sets the next URI to play.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`uri` (String) –

next URI to play.

#### GstPlayer.Player.set_uri

    def GstPlayer.Player.set_uri (self, uri):
        #python wrapper for 'gst_player_set_uri'

Sets the next URI to play.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`uri` (str) –

next URI to play.

#### gst_player_set_video_track

    gboolean
    gst_player_set_video_track (GstPlayer * player,
                                gint stream_index)

Parameters:

`player` –

GstPlayer instance

`stream_index` –

stream index

Returns –

TRUE or FALSE

Sets the video track stream_index.

#### GstPlayer.Player.prototype.set_video_track

    function GstPlayer.Player.prototype.set_video_track(stream_index: Number): {
        // javascript wrapper for 'gst_player_set_video_track'
    }

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`stream_index` (Number) –

stream index

Returns (Number) –

true or false

Sets the video track stream_index.

#### GstPlayer.Player.set_video_track

    def GstPlayer.Player.set_video_track (self, stream_index):
        #python wrapper for 'gst_player_set_video_track'

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`stream_index` (int) –

stream index

Returns (bool) –

True or False

Sets the video track stream_index.

#### gst_player_set_video_track_enabled

    gst_player_set_video_track_enabled (GstPlayer * player,
                                        gboolean enabled)

Enable or disable the current video track.

Parameters:

`player` –

GstPlayer instance

`enabled` –

TRUE or FALSE

#### GstPlayer.Player.prototype.set_video_track_enabled

    function GstPlayer.Player.prototype.set_video_track_enabled(enabled: Number): {
        // javascript wrapper for 'gst_player_set_video_track_enabled'
    }

Enable or disable the current video track.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`enabled` (Number) –

TRUE or FALSE

#### GstPlayer.Player.set_video_track_enabled

    def GstPlayer.Player.set_video_track_enabled (self, enabled):
        #python wrapper for 'gst_player_set_video_track_enabled'

Enable or disable the current video track.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`enabled` (bool) –

TRUE or FALSE

#### gst_player_set_visualization

    gboolean
    gst_player_set_visualization (GstPlayer * player,
                                  const gchar * name)

Parameters:

`player` –

GstPlayer instance

`name` ( [nullable]) –

visualization element obtained from gst_player_visualizations_get()

Returns –

TRUE if the visualizations was set correctly. Otherwise, FALSE.

#### GstPlayer.Player.prototype.set_visualization

    function GstPlayer.Player.prototype.set_visualization(name: String): {
        // javascript wrapper for 'gst_player_set_visualization'
    }

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`name` (String) –

visualization element obtained from GstPlayer.Player.prototype.visualizations_get()

Returns (Number) –

true if the visualizations was set correctly. Otherwise, false.

#### GstPlayer.Player.set_visualization

    def GstPlayer.Player.set_visualization (self, name):
        #python wrapper for 'gst_player_set_visualization'

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`name` (str) –

visualization element obtained from GstPlayer.Player.visualizations_get()

Returns (bool) –

True if the visualizations was set correctly. Otherwise, False.

#### gst_player_set_visualization_enabled

    gst_player_set_visualization_enabled (GstPlayer * player,
                                          gboolean enabled)

Enable or disable the visualization.

Parameters:

`player` –

GstPlayer instance

`enabled` –

TRUE or FALSE

#### GstPlayer.Player.prototype.set_visualization_enabled

    function GstPlayer.Player.prototype.set_visualization_enabled(enabled: Number): {
        // javascript wrapper for 'gst_player_set_visualization_enabled'
    }

Enable or disable the visualization.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`enabled` (Number) –

TRUE or FALSE

#### GstPlayer.Player.set_visualization_enabled

    def GstPlayer.Player.set_visualization_enabled (self, enabled):
        #python wrapper for 'gst_player_set_visualization_enabled'

Enable or disable the visualization.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`enabled` (bool) –

TRUE or FALSE

#### gst_player_set_volume

    gst_player_set_volume (GstPlayer * player,
                           gdouble val)

Sets the volume level of the stream as a percentage between 0 and 1.

This volume is a linear factor. For showing the volume in a GUI it might make sense to first convert from a different format. Volume sliders should usually use a cubic volume. See gst_stream_volume_convert_volume.

Parameters:

`player` –

GstPlayer instance

`val` –

the new volume level, as a percentage between 0 and 1

#### GstPlayer.Player.prototype.set_volume

    function GstPlayer.Player.prototype.set_volume(val: Number): {
        // javascript wrapper for 'gst_player_set_volume'
    }

Sets the volume level of the stream as a percentage between 0 and 1.

This volume is a linear factor. For showing the volume in a GUI it might make sense to first convert from a different format. Volume sliders should usually use a cubic volume. See GstAudio.prototype.stream_volume_convert_volume.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`val` (Number) –

the new volume level, as a percentage between 0 and 1

#### GstPlayer.Player.set_volume

    def GstPlayer.Player.set_volume (self, val):
        #python wrapper for 'gst_player_set_volume'

Sets the volume level of the stream as a percentage between 0 and 1.

This volume is a linear factor. For showing the volume in a GUI it might make sense to first convert from a different format. Volume sliders should usually use a cubic volume. See GstAudio.stream_volume_convert_volume.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

`val` (float) –

the new volume level, as a percentage between 0 and 1

#### gst_player_stop

    gst_player_stop (GstPlayer * player)

Stops playing the current stream and resets to the first position in the stream.

Parameters:

`player` –

GstPlayer instance

#### GstPlayer.Player.prototype.stop

    function GstPlayer.Player.prototype.stop(): {
        // javascript wrapper for 'gst_player_stop'
    }

Stops playing the current stream and resets to the first position in the stream.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

#### GstPlayer.Player.stop

    def GstPlayer.Player.stop (self):
        #python wrapper for 'gst_player_stop'

Stops playing the current stream and resets to the first position in the stream.

Parameters:

`player` (GstPlayer.Player) –

GstPlayer.Player instance

### Functions

#### gst_player_config_get_position_update_interval

    guint
    gst_player_config_get_position_update_interval (const GstStructure * config)

Parameters:

`config` –

a GstPlayer configuration

Returns –

current position update interval in milliseconds

Since : 1.10

#### GstPlayer.Player.prototype.config_get_position_update_interval

    function GstPlayer.Player.prototype.config_get_position_update_interval(config: Gst.Structure): {
        // javascript wrapper for 'gst_player_config_get_position_update_interval'
    }

Parameters:

`config` (Gst.Structure) –

a GstPlayer.Player configuration

Returns (Number) –

current position update interval in milliseconds

Since : 1.10

#### GstPlayer.Player.config_get_position_update_interval

    def GstPlayer.Player.config_get_position_update_interval (config):
        #python wrapper for 'gst_player_config_get_position_update_interval'

Parameters:

`config` (Gst.Structure) –

a GstPlayer.Player configuration

Returns (int) –

current position update interval in milliseconds

Since : 1.10

#### gst_player_config_get_seek_accurate

    gboolean
    gst_player_config_get_seek_accurate (const GstStructure * config)

Parameters:

`config` –

a GstPlayer configuration

Returns –

TRUE if accurate seeking is enabled

Since : 1.12

#### GstPlayer.Player.prototype.config_get_seek_accurate

    function GstPlayer.Player.prototype.config_get_seek_accurate(config: Gst.Structure): {
        // javascript wrapper for 'gst_player_config_get_seek_accurate'
    }

Parameters:

`config` (Gst.Structure) –

a GstPlayer.Player configuration

Returns (Number) –

true if accurate seeking is enabled

Since : 1.12

#### GstPlayer.Player.config_get_seek_accurate

    def GstPlayer.Player.config_get_seek_accurate (config):
        #python wrapper for 'gst_player_config_get_seek_accurate'

Parameters:

`config` (Gst.Structure) –

a GstPlayer.Player configuration

Returns (bool) –

True if accurate seeking is enabled

Since : 1.12

#### gst_player_config_get_user_agent

    gchar *
    gst_player_config_get_user_agent (const GstStructure * config)

Return the user agent which has been configured using gst_player_config_set_user_agent if any.

Parameters:

`config` –

a GstPlayer configuration

Returns ( [transfer: full][nullable]) –

the configured agent, or NULL

Since : 1.10

#### GstPlayer.Player.prototype.config_get_user_agent

    function GstPlayer.Player.prototype.config_get_user_agent(config: Gst.Structure): {
        // javascript wrapper for 'gst_player_config_get_user_agent'
    }

Return the user agent which has been configured using GstPlayer.Player.prototype.config_set_user_agent if any.

Parameters:

`config` (Gst.Structure) –

a GstPlayer.Player configuration

Returns (String) –

the configured agent, or null

Since : 1.10

#### GstPlayer.Player.config_get_user_agent

    def GstPlayer.Player.config_get_user_agent (config):
        #python wrapper for 'gst_player_config_get_user_agent'

Return the user agent which has been configured using GstPlayer.Player.config_set_user_agent if any.

Parameters:

`config` (Gst.Structure) –

a GstPlayer.Player configuration

Returns (str) –

the configured agent, or None

Since : 1.10

#### gst_player_config_set_position_update_interval

    gst_player_config_set_position_update_interval (GstStructure * config,
                                                    guint interval)

set interval in milliseconds between two position-updated signals. pass 0 to stop updating the position.

Parameters:

`config` –

a GstPlayer configuration

`interval` –

interval in ms

Since : 1.10

#### GstPlayer.Player.prototype.config_set_position_update_interval

    function GstPlayer.Player.prototype.config_set_position_update_interval(config: Gst.Structure, interval: Number): {
        // javascript wrapper for 'gst_player_config_set_position_update_interval'
    }

set interval in milliseconds between two position-updated signals. pass 0 to stop updating the position.

Parameters:

`config` (Gst.Structure) –

a GstPlayer.Player configuration

`interval` (Number) –

interval in ms

Since : 1.10

#### GstPlayer.Player.config_set_position_update_interval

    def GstPlayer.Player.config_set_position_update_interval (config, interval):
        #python wrapper for 'gst_player_config_set_position_update_interval'

set interval in milliseconds between two position-updated signals. pass 0 to stop updating the position.

Parameters:

`config` (Gst.Structure) –

a GstPlayer.Player configuration

`interval` (int) –

interval in ms

Since : 1.10

#### gst_player_config_set_seek_accurate

    gst_player_config_set_seek_accurate (GstStructure * config,
                                         gboolean accurate)

Enable or disable accurate seeking. When enabled, elements will try harder to seek as accurately as possible to the requested seek position. Generally it will be slower especially for formats that don't have any indexes or timestamp markers in the stream.

If accurate seeking is disabled, elements will seek as close as the request position without slowing down seeking too much.

Accurate seeking is disabled by default.

Parameters:

`config` –

a GstPlayer configuration

`accurate` –

accurate seek or not

Since : 1.12

#### GstPlayer.Player.prototype.config_set_seek_accurate

    function GstPlayer.Player.prototype.config_set_seek_accurate(config: Gst.Structure, accurate: Number): {
        // javascript wrapper for 'gst_player_config_set_seek_accurate'
    }

Enable or disable accurate seeking. When enabled, elements will try harder to seek as accurately as possible to the requested seek position. Generally it will be slower especially for formats that don't have any indexes or timestamp markers in the stream.

If accurate seeking is disabled, elements will seek as close as the request position without slowing down seeking too much.

Accurate seeking is disabled by default.

Parameters:

`config` (Gst.Structure) –

a GstPlayer.Player configuration

`accurate` (Number) –

accurate seek or not

Since : 1.12

#### GstPlayer.Player.config_set_seek_accurate

    def GstPlayer.Player.config_set_seek_accurate (config, accurate):
        #python wrapper for 'gst_player_config_set_seek_accurate'

Enable or disable accurate seeking. When enabled, elements will try harder to seek as accurately as possible to the requested seek position. Generally it will be slower especially for formats that don't have any indexes or timestamp markers in the stream.

If accurate seeking is disabled, elements will seek as close as the request position without slowing down seeking too much.

Accurate seeking is disabled by default.

Parameters:

`config` (Gst.Structure) –

a GstPlayer.Player configuration

`accurate` (bool) –

accurate seek or not

Since : 1.12

#### gst_player_config_set_user_agent

    gst_player_config_set_user_agent (GstStructure * config,
                                      const gchar * agent)

Set the user agent to pass to the server if player needs to connect to a server during playback. This is typically used when playing HTTP or RTSP streams.

Parameters:

`config` –

a GstPlayer configuration

`agent` ( [nullable]) –

the string to use as user agent

Since : 1.10

#### GstPlayer.Player.prototype.config_set_user_agent

    function GstPlayer.Player.prototype.config_set_user_agent(config: Gst.Structure, agent: String): {
        // javascript wrapper for 'gst_player_config_set_user_agent'
    }

Set the user agent to pass to the server if player needs to connect to a server during playback. This is typically used when playing HTTP or RTSP streams.

Parameters:

`config` (Gst.Structure) –

a GstPlayer.Player configuration

`agent` (String) –

the string to use as user agent

Since : 1.10

#### GstPlayer.Player.config_set_user_agent

    def GstPlayer.Player.config_set_user_agent (config, agent):
        #python wrapper for 'gst_player_config_set_user_agent'

Set the user agent to pass to the server if player needs to connect to a server during playback. This is typically used when playing HTTP or RTSP streams.

Parameters:

`config` (Gst.Structure) –

a GstPlayer.Player configuration

`agent` (str) –

the string to use as user agent

Since : 1.10

#### gst_player_get_audio_streams

    GList *
    gst_player_get_audio_streams (const GstPlayerMediaInfo * info)

Parameters:

`info` –

a GstPlayerMediaInfo

Returns ( [transfer: none][element-type GstPlayerAudioInfo]) –

A GList of matching GstPlayerAudioInfo.

#### GstPlayer.Player.prototype.get_audio_streams

    function GstPlayer.Player.prototype.get_audio_streams(info: GstPlayer.PlayerMediaInfo): {
        // javascript wrapper for 'gst_player_get_audio_streams'
    }

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns ([ GstPlayer.PlayerAudioInfo ]) –

A GLib.List of matching GstPlayer.PlayerAudioInfo.

#### GstPlayer.Player.get_audio_streams

    def GstPlayer.Player.get_audio_streams (info):
        #python wrapper for 'gst_player_get_audio_streams'

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns ([ GstPlayer.PlayerAudioInfo ]) –

A GLib.List of matching GstPlayer.PlayerAudioInfo.

#### gst_player_get_subtitle_streams

    GList *
    gst_player_get_subtitle_streams (const GstPlayerMediaInfo * info)

Parameters:

`info` –

a GstPlayerMediaInfo

Returns ( [transfer: none][element-type GstPlayerSubtitleInfo]) –

A GList of matching GstPlayerSubtitleInfo.

#### GstPlayer.Player.prototype.get_subtitle_streams

    function GstPlayer.Player.prototype.get_subtitle_streams(info: GstPlayer.PlayerMediaInfo): {
        // javascript wrapper for 'gst_player_get_subtitle_streams'
    }

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns ([ GstPlayer.PlayerSubtitleInfo ]) –

A GLib.List of matching GstPlayer.PlayerSubtitleInfo.

#### GstPlayer.Player.get_subtitle_streams

    def GstPlayer.Player.get_subtitle_streams (info):
        #python wrapper for 'gst_player_get_subtitle_streams'

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns ([ GstPlayer.PlayerSubtitleInfo ]) –

A GLib.List of matching GstPlayer.PlayerSubtitleInfo.

#### gst_player_get_video_streams

    GList *
    gst_player_get_video_streams (const GstPlayerMediaInfo * info)

Parameters:

`info` –

a GstPlayerMediaInfo

Returns ( [transfer: none][element-type GstPlayerVideoInfo]) –

A GList of matching GstPlayerVideoInfo.

#### GstPlayer.Player.prototype.get_video_streams

    function GstPlayer.Player.prototype.get_video_streams(info: GstPlayer.PlayerMediaInfo): {
        // javascript wrapper for 'gst_player_get_video_streams'
    }

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns ([ GstPlayer.PlayerVideoInfo ]) –

A GLib.List of matching GstPlayer.PlayerVideoInfo.

#### GstPlayer.Player.get_video_streams

    def GstPlayer.Player.get_video_streams (info):
        #python wrapper for 'gst_player_get_video_streams'

Parameters:

`info` (GstPlayer.PlayerMediaInfo) –

a GstPlayer.PlayerMediaInfo

Returns ([ GstPlayer.PlayerVideoInfo ]) –

A GLib.List of matching GstPlayer.PlayerVideoInfo.

#### gst_player_visualizations_free

    gst_player_visualizations_free (GstPlayerVisualization ** viss)

Frees a NULL terminated array of GstPlayerVisualization.

Parameters:

`viss` –

a NULL terminated array of GstPlayerVisualization to free

#### GstPlayer.Player.prototype.visualizations_free

    function GstPlayer.Player.prototype.visualizations_free(viss: GstPlayer.PlayerVisualization): {
        // javascript wrapper for 'gst_player_visualizations_free'
    }

Frees a null terminated array of GstPlayer.PlayerVisualization.

Parameters:

`viss` (GstPlayer.PlayerVisualization) –

a null terminated array of GstPlayer.PlayerVisualization to free

#### GstPlayer.Player.visualizations_free

    def GstPlayer.Player.visualizations_free (viss):
        #python wrapper for 'gst_player_visualizations_free'

Frees a None terminated array of GstPlayer.PlayerVisualization.

Parameters:

`viss` (GstPlayer.PlayerVisualization) –

a None terminated array of GstPlayer.PlayerVisualization to free

#### gst_player_visualizations_get

    GstPlayerVisualization **
    gst_player_visualizations_get ()

Returns –

(transfer full) (array zero-terminated=1) (element-type GstPlayerVisualization): a NULL terminated array containing all available visualizations. Use gst_player_visualizations_free after usage.

#### GstPlayer.Player.prototype.visualizations_get

    function GstPlayer.Player.prototype.visualizations_get(): {
        // javascript wrapper for 'gst_player_visualizations_get'
    }

Returns ([ GstPlayer.PlayerVisualization ]) –

(transfer full) (array zero-terminated=1) (element-type GstPlayerVisualization): a null terminated array containing all available visualizations. Use GstPlayer.Player.prototype.visualizations_free after usage.

#### GstPlayer.Player.visualizations_get

    def GstPlayer.Player.visualizations_get ():
        #python wrapper for 'gst_player_visualizations_get'

Returns ([ GstPlayer.PlayerVisualization ]) –

(transfer full) (array zero-terminated=1) (element-type GstPlayerVisualization): a None terminated array containing all available visualizations. Use GstPlayer.Player.visualizations_free after usage.

### Signals

#### buffering

    buffering_callback (GstPlayer * self,
                        gint object,
                        gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`user_data` –
No description available

Flags: Run Last / No Hooks

#### buffering

    function buffering_callback(self: GstPlayer.Player, object: Number, user_data: Object): {
        // javascript callback for the 'buffering' signal
    }

Parameters:

`self` (GstPlayer.Player) –
No description available
`object` (Number) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last / No Hooks

#### buffering

    def buffering_callback (self, object, *user_data):
        #python callback for the 'buffering' signal

Parameters:

`self` (GstPlayer.Player) –
No description available
`object` (int) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last / No Hooks

#### duration-changed

    duration_changed_callback (GstPlayer * self,
                               guint64 object,
                               gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`user_data` –
No description available

Flags: Run Last / No Hooks

#### duration-changed

    function duration_changed_callback(self: GstPlayer.Player, object: Number, user_data: Object): {
        // javascript callback for the 'duration-changed' signal
    }

Parameters:

`self` (GstPlayer.Player) –
No description available
`object` (Number) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last / No Hooks

#### duration-changed

    def duration_changed_callback (self, object, *user_data):
        #python callback for the 'duration-changed' signal

Parameters:

`self` (GstPlayer.Player) –
No description available
`object` (int) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last / No Hooks

#### end-of-stream

    end_of_stream_callback (GstPlayer * self,
                            gpointer user_data)

Parameters:

`self` –
No description available
`user_data` –
No description available

Flags: Run Last / No Hooks

#### end-of-stream

    function end_of_stream_callback(self: GstPlayer.Player, user_data: Object): {
        // javascript callback for the 'end-of-stream' signal
    }

Parameters:

`self` (GstPlayer.Player) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last / No Hooks

#### end-of-stream

    def end_of_stream_callback (self, *user_data):
        #python callback for the 'end-of-stream' signal

Parameters:

`self` (GstPlayer.Player) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last / No Hooks

#### error

    error_callback (GstPlayer * self,
                    GError * object,
                    gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`user_data` –
No description available

Flags: Run Last / No Hooks

#### error

    function error_callback(self: GstPlayer.Player, object: GError (not introspectable), user_data: Object): {
        // javascript callback for the 'error' signal
    }

Parameters:

`self` (GstPlayer.Player) –
No description available
`object` (GError (not introspectable)) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last / No Hooks

#### error

    def error_callback (self, object, *user_data):
        #python callback for the 'error' signal

Parameters:

`self` (GstPlayer.Player) –
No description available
`object` (GError (not introspectable)) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last / No Hooks

#### media-info-updated

    media_info_updated_callback (GstPlayer * self,
                                 GstPlayerMediaInfo * object,
                                 gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`user_data` –
No description available

Flags: Run Last / No Hooks

#### media-info-updated

    function media_info_updated_callback(self: GstPlayer.Player, object: GstPlayer.PlayerMediaInfo, user_data: Object): {
        // javascript callback for the 'media-info-updated' signal
    }

Parameters:

`self` (GstPlayer.Player) –
No description available
`object` (GstPlayer.PlayerMediaInfo) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last / No Hooks

#### media-info-updated

    def media_info_updated_callback (self, object, *user_data):
        #python callback for the 'media-info-updated' signal

Parameters:

`self` (GstPlayer.Player) –
No description available
`object` (GstPlayer.PlayerMediaInfo) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last / No Hooks

#### mute-changed

    mute_changed_callback (GstPlayer * self,
                           gpointer user_data)

Parameters:

`self` –
No description available
`user_data` –
No description available

Flags: Run Last / No Hooks

#### mute-changed

    function mute_changed_callback(self: GstPlayer.Player, user_data: Object): {
        // javascript callback for the 'mute-changed' signal
    }

Parameters:

`self` (GstPlayer.Player) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last / No Hooks

#### mute-changed

    def mute_changed_callback (self, *user_data):
        #python callback for the 'mute-changed' signal

Parameters:

`self` (GstPlayer.Player) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last / No Hooks

#### position-updated

    position_updated_callback (GstPlayer * self,
                               guint64 object,
                               gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`user_data` –
No description available

Flags: Run Last / No Hooks

#### position-updated

    function position_updated_callback(self: GstPlayer.Player, object: Number, user_data: Object): {
        // javascript callback for the 'position-updated' signal
    }

Parameters:

`self` (GstPlayer.Player) –
No description available
`object` (Number) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last / No Hooks

#### position-updated

    def position_updated_callback (self, object, *user_data):
        #python callback for the 'position-updated' signal

Parameters:

`self` (GstPlayer.Player) –
No description available
`object` (int) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last / No Hooks

#### seek-done

    seek_done_callback (GstPlayer * self,
                        guint64 object,
                        gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`user_data` –
No description available

Flags: Run Last / No Hooks

#### seek-done

    function seek_done_callback(self: GstPlayer.Player, object: Number, user_data: Object): {
        // javascript callback for the 'seek-done' signal
    }

Parameters:

`self` (GstPlayer.Player) –
No description available
`object` (Number) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last / No Hooks

#### seek-done

    def seek_done_callback (self, object, *user_data):
        #python callback for the 'seek-done' signal

Parameters:

`self` (GstPlayer.Player) –
No description available
`object` (int) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last / No Hooks

#### state-changed

    state_changed_callback (GstPlayer * self,
                            GstPlayerState * object,
                            gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`user_data` –
No description available

Flags: Run Last / No Hooks

#### state-changed

    function state_changed_callback(self: GstPlayer.Player, object: GstPlayer.PlayerState, user_data: Object): {
        // javascript callback for the 'state-changed' signal
    }

Parameters:

`self` (GstPlayer.Player) –
No description available
`object` (GstPlayer.PlayerState) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last / No Hooks

#### state-changed

    def state_changed_callback (self, object, *user_data):
        #python callback for the 'state-changed' signal

Parameters:

`self` (GstPlayer.Player) –
No description available
`object` (GstPlayer.PlayerState) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last / No Hooks

#### uri-loaded

    uri_loaded_callback (GstPlayer * self,
                         gchar * object,
                         gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`user_data` –
No description available

Flags: Run Last / No Hooks

#### uri-loaded

    function uri_loaded_callback(self: GstPlayer.Player, object: String, user_data: Object): {
        // javascript callback for the 'uri-loaded' signal
    }

Parameters:

`self` (GstPlayer.Player) –
No description available
`object` (String) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last / No Hooks

#### uri-loaded

    def uri_loaded_callback (self, object, *user_data):
        #python callback for the 'uri-loaded' signal

Parameters:

`self` (GstPlayer.Player) –
No description available
`object` (str) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last / No Hooks

#### video-dimensions-changed

    video_dimensions_changed_callback (GstPlayer * self,
                                       gint object,
                                       gint p0,
                                       gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`p0` –
No description available
`user_data` –
No description available

Flags: Run Last / No Hooks

#### video-dimensions-changed

    function video_dimensions_changed_callback(self: GstPlayer.Player, object: Number, p0: Number, user_data: Object): {
        // javascript callback for the 'video-dimensions-changed' signal
    }

Parameters:

`self` (GstPlayer.Player) –
No description available
`object` (Number) –
No description available
`p0` (Number) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last / No Hooks

#### video-dimensions-changed

    def video_dimensions_changed_callback (self, object, p0, *user_data):
        #python callback for the 'video-dimensions-changed' signal

Parameters:

`self` (GstPlayer.Player) –
No description available
`object` (int) –
No description available
`p0` (int) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last / No Hooks

#### volume-changed

    volume_changed_callback (GstPlayer * self,
                             gpointer user_data)

Parameters:

`self` –
No description available
`user_data` –
No description available

Flags: Run Last / No Hooks

#### volume-changed

    function volume_changed_callback(self: GstPlayer.Player, user_data: Object): {
        // javascript callback for the 'volume-changed' signal
    }

Parameters:

`self` (GstPlayer.Player) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last / No Hooks

#### volume-changed

    def volume_changed_callback (self, *user_data):
        #python callback for the 'volume-changed' signal

Parameters:

`self` (GstPlayer.Player) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last / No Hooks

#### warning

    warning_callback (GstPlayer * self,
                      GError * object,
                      gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`user_data` –
No description available

Flags: Run Last / No Hooks

#### warning

    function warning_callback(self: GstPlayer.Player, object: GError (not introspectable), user_data: Object): {
        // javascript callback for the 'warning' signal
    }

Parameters:

`self` (GstPlayer.Player) –
No description available
`object` (GError (not introspectable)) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last / No Hooks

#### warning

    def warning_callback (self, object, *user_data):
        #python callback for the 'warning' signal

Parameters:

`self` (GstPlayer.Player) –
No description available
`object` (GError (not introspectable)) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last / No Hooks

### Properties

#### audio-video-offset

    “audio-video-offset” gint64

Flags : Read / Write

#### audio-video-offset

    “audio-video-offset” Number

Flags : Read / Write

#### audio_video_offset

    “self.props.audio_video_offset” int

Flags : Read / Write

#### current-audio-track

    “current-audio-track” GstPlayerAudioInfo *

Flags : Read

#### current-audio-track

    “current-audio-track” GstPlayer.PlayerAudioInfo

Flags : Read

#### current_audio_track

    “self.props.current_audio_track” GstPlayer.PlayerAudioInfo

Flags : Read

#### current-subtitle-track

    “current-subtitle-track” GstPlayerSubtitleInfo *

Flags : Read

#### current-subtitle-track

    “current-subtitle-track” GstPlayer.PlayerSubtitleInfo

Flags : Read

#### current_subtitle_track

    “self.props.current_subtitle_track” GstPlayer.PlayerSubtitleInfo

Flags : Read

#### current-video-track

    “current-video-track” GstPlayerVideoInfo *

Flags : Read

#### current-video-track

    “current-video-track” GstPlayer.PlayerVideoInfo

Flags : Read

#### current_video_track

    “self.props.current_video_track” GstPlayer.PlayerVideoInfo

Flags : Read

#### duration

    “duration” guint64

Flags : Read

#### duration

    “duration” Number

Flags : Read

#### duration

    “self.props.duration” int

Flags : Read

#### media-info

    “media-info” GstPlayerMediaInfo *

Flags : Read

#### media-info

    “media-info” GstPlayer.PlayerMediaInfo

Flags : Read

#### media_info

    “self.props.media_info” GstPlayer.PlayerMediaInfo

Flags : Read

#### mute

    “mute” gboolean

Flags : Read / Write

#### mute

    “mute” Number

Flags : Read / Write

#### mute

    “self.props.mute” bool

Flags : Read / Write

#### pipeline

    “pipeline” GstElement *

Flags : Read

#### pipeline

    “pipeline” Gst.Element

Flags : Read

#### pipeline

    “self.props.pipeline” Gst.Element

Flags : Read

#### position

    “position” guint64

Flags : Read

#### position

    “position” Number

Flags : Read

#### position

    “self.props.position” int

Flags : Read

#### rate

    “rate” gdouble

Flags : Read / Write

#### rate

    “rate” Number

Flags : Read / Write

#### rate

    “self.props.rate” float

Flags : Read / Write

#### signal-dispatcher

    “signal-dispatcher” GstPlayerSignalDispatcher *

Flags : Read / Write / Construct Only

#### signal-dispatcher

    “signal-dispatcher” GstPlayer.PlayerSignalDispatcher

Flags : Read / Write / Construct Only

#### signal_dispatcher

    “self.props.signal_dispatcher” GstPlayer.PlayerSignalDispatcher

Flags : Read / Write / Construct Only

#### subtitle-video-offset

    “subtitle-video-offset” gint64

Flags : Read / Write

#### subtitle-video-offset

    “subtitle-video-offset” Number

Flags : Read / Write

#### subtitle_video_offset

    “self.props.subtitle_video_offset” int

Flags : Read / Write

#### suburi

    “suburi” gchar *

Flags : Read / Write

#### suburi

    “suburi” String

Flags : Read / Write

#### suburi

    “self.props.suburi” str

Flags : Read / Write

#### uri

    “uri” gchar *

Flags : Read / Write

#### uri

    “uri” String

Flags : Read / Write

#### uri

    “self.props.uri” str

Flags : Read / Write

#### video-multiview-flags

    “video-multiview-flags” GstVideoMultiviewFlags *

Flags : Read / Write

#### video-multiview-flags

    “video-multiview-flags” GstVideo.VideoMultiviewFlags

Flags : Read / Write

#### video_multiview_flags

    “self.props.video_multiview_flags” GstVideo.VideoMultiviewFlags

Flags : Read / Write

#### video-multiview-mode

    “video-multiview-mode” GstVideoMultiviewFramePacking *

Flags : Read / Write

#### video-multiview-mode

    “video-multiview-mode” GstVideo.VideoMultiviewFramePacking

Flags : Read / Write

#### video_multiview_mode

    “self.props.video_multiview_mode” GstVideo.VideoMultiviewFramePacking

Flags : Read / Write

#### video-renderer

    “video-renderer” GstPlayerVideoRenderer *

Flags : Read / Write / Construct Only

#### video-renderer

    “video-renderer” GstPlayer.PlayerVideoRenderer

Flags : Read / Write / Construct Only

#### video_renderer

    “self.props.video_renderer” GstPlayer.PlayerVideoRenderer

Flags : Read / Write / Construct Only

#### volume

    “volume” gdouble

Flags : Read / Write

#### volume

    “volume” Number

Flags : Read / Write

#### volume

    “self.props.volume” float

Flags : Read / Write

## Functions

### gst_player_color_balance_type_get_name

    const gchar *
    gst_player_color_balance_type_get_name (GstPlayerColorBalanceType type)

Gets a string representing the given color balance type.

Parameters:

`type` –

a GstPlayerColorBalanceType

Returns ( [transfer: none]) –

a string with the name of the color balance type.

### GstPlayer.PlayerColorBalanceType.prototype.get_name

    function GstPlayer.PlayerColorBalanceType.prototype.get_name(type: GstPlayer.PlayerColorBalanceType): {
        // javascript wrapper for 'gst_player_color_balance_type_get_name'
    }

Gets a string representing the given color balance type.

Parameters:

`type` (GstPlayer.PlayerColorBalanceType) –

a GstPlayer.PlayerColorBalanceType

Returns (String) –

a string with the name of the color balance type.

### GstPlayer.PlayerColorBalanceType.get_name

    def GstPlayer.PlayerColorBalanceType.get_name (type):
        #python wrapper for 'gst_player_color_balance_type_get_name'

Gets a string representing the given color balance type.

Parameters:

`type` (GstPlayer.PlayerColorBalanceType) –

a GstPlayer.PlayerColorBalanceType

Returns (str) –

a string with the name of the color balance type.

### gst_player_error_get_name

    const gchar *
    gst_player_error_get_name (GstPlayerError error)

Gets a string representing the given error.

Parameters:

`error` –

a GstPlayerError

Returns ( [transfer: none]) –

a string with the given error.

### GstPlayer.PlayerError.prototype.get_name

    function GstPlayer.PlayerError.prototype.get_name(error: GstPlayer.PlayerError): {
        // javascript wrapper for 'gst_player_error_get_name'
    }

Gets a string representing the given error.

Parameters:

`error` (GstPlayer.PlayerError) –

a GstPlayer.PlayerError

Returns (String) –

a string with the given error.

### GstPlayer.PlayerError.get_name

    def GstPlayer.PlayerError.get_name (error):
        #python wrapper for 'gst_player_error_get_name'

Gets a string representing the given error.

Parameters:

`error` (GstPlayer.PlayerError) –

a GstPlayer.PlayerError

Returns (str) –

a string with the given error.

### gst_player_error_quark

    GQuark
    gst_player_error_quark ()

Returns –
No description available

### GstPlayer.PlayerError.prototype.quark

    function GstPlayer.PlayerError.prototype.quark(): {
        // javascript wrapper for 'gst_player_error_quark'
    }

Returns (GLib.Quark) –
No description available

### GstPlayer.PlayerError.quark

    def GstPlayer.PlayerError.quark ():
        #python wrapper for 'gst_player_error_quark'

Returns (GLib.Quark) –
No description available

### gst_player_state_get_name

    const gchar *
    gst_player_state_get_name (GstPlayerState state)

Gets a string representing the given state.

Parameters:

`state` –

a GstPlayerState

Returns ( [transfer: none]) –

a string with the name of the state.

### GstPlayer.PlayerState.prototype.get_name

    function GstPlayer.PlayerState.prototype.get_name(state: GstPlayer.PlayerState): {
        // javascript wrapper for 'gst_player_state_get_name'
    }

Gets a string representing the given state.

Parameters:

`state` (GstPlayer.PlayerState) –

a GstPlayer.PlayerState

Returns (String) –

a string with the name of the state.

### GstPlayer.PlayerState.get_name

    def GstPlayer.PlayerState.get_name (state):
        #python wrapper for 'gst_player_state_get_name'

Gets a string representing the given state.

Parameters:

`state` (GstPlayer.PlayerState) –

a GstPlayer.PlayerState

Returns (str) –

a string with the name of the state.

## Function Macros

### GST_PLAYER_CAST

    #define GST_PLAYER_CAST(obj)        ((GstPlayer*)(obj))

## Enumerations

### GstPlayerColorBalanceType

##### Members

`GST_PLAYER_COLOR_BALANCE_HUE` (3) –

hue or color balance.

`GST_PLAYER_COLOR_BALANCE_BRIGHTNESS` (0) –

brightness or black level.

`GST_PLAYER_COLOR_BALANCE_SATURATION` (2) –

color saturation or chroma gain.

`GST_PLAYER_COLOR_BALANCE_CONTRAST` (1) –

contrast or luma gain.

### GstPlayer.PlayerColorBalanceType

##### Members

`GstPlayer.PlayerColorBalanceType.HUE` (3) –

hue or color balance.

`GstPlayer.PlayerColorBalanceType.BRIGHTNESS` (0) –

brightness or black level.

`GstPlayer.PlayerColorBalanceType.SATURATION` (2) –

color saturation or chroma gain.

`GstPlayer.PlayerColorBalanceType.CONTRAST` (1) –

contrast or luma gain.

### GstPlayer.PlayerColorBalanceType

##### Members

`GstPlayer.PlayerColorBalanceType.HUE` (3) –

hue or color balance.

`GstPlayer.PlayerColorBalanceType.BRIGHTNESS` (0) –

brightness or black level.

`GstPlayer.PlayerColorBalanceType.SATURATION` (2) –

color saturation or chroma gain.

`GstPlayer.PlayerColorBalanceType.CONTRAST` (1) –

contrast or luma gain.

### GstPlayerError

##### Members

`GST_PLAYER_ERROR_FAILED` (0) –

generic error.

### GstPlayer.PlayerError

##### Members

`GstPlayer.PlayerError.FAILED` (0) –

generic error.

### GstPlayer.PlayerError

##### Members

`GstPlayer.PlayerError.FAILED` (0) –

generic error.

### GstPlayerSnapshotFormat

##### Members

`GST_PLAYER_THUMBNAIL_RAW_NATIVE` (0) –
No description available
`GST_PLAYER_THUMBNAIL_RAW_xRGB` (1) –
No description available
`GST_PLAYER_THUMBNAIL_RAW_BGRx` (2) –
No description available
`GST_PLAYER_THUMBNAIL_JPG` (3) –
No description available
`GST_PLAYER_THUMBNAIL_PNG` (4) –
No description available

### GstPlayer.PlayerSnapshotFormat

##### Members

`GstPlayer.PlayerSnapshotFormat.RAW_NATIVE` (0) –
No description available
`GstPlayer.PlayerSnapshotFormat.RAW_XRGB` (1) –
No description available
`GstPlayer.PlayerSnapshotFormat.RAW_BGRX` (2) –
No description available
`GstPlayer.PlayerSnapshotFormat.JPG` (3) –
No description available
`GstPlayer.PlayerSnapshotFormat.PNG` (4) –
No description available

### GstPlayer.PlayerSnapshotFormat

##### Members

`GstPlayer.PlayerSnapshotFormat.RAW_NATIVE` (0) –
No description available
`GstPlayer.PlayerSnapshotFormat.RAW_XRGB` (1) –
No description available
`GstPlayer.PlayerSnapshotFormat.RAW_BGRX` (2) –
No description available
`GstPlayer.PlayerSnapshotFormat.JPG` (3) –
No description available
`GstPlayer.PlayerSnapshotFormat.PNG` (4) –
No description available

### GstPlayerState

##### Members

`GST_PLAYER_STATE_STOPPED` (0) –

the player is stopped.

`GST_PLAYER_STATE_BUFFERING` (1) –

the player is buffering.

`GST_PLAYER_STATE_PAUSED` (2) –

the player is paused.

`GST_PLAYER_STATE_PLAYING` (3) –

the player is currently playing a stream.

### GstPlayer.PlayerState

##### Members

`GstPlayer.PlayerState.STOPPED` (0) –

the player is stopped.

`GstPlayer.PlayerState.BUFFERING` (1) –

the player is buffering.

`GstPlayer.PlayerState.PAUSED` (2) –

the player is paused.

`GstPlayer.PlayerState.PLAYING` (3) –

the player is currently playing a stream.

### GstPlayer.PlayerState

##### Members

`GstPlayer.PlayerState.STOPPED` (0) –

the player is stopped.

`GstPlayer.PlayerState.BUFFERING` (1) –

the player is buffering.

`GstPlayer.PlayerState.PAUSED` (2) –

the player is paused.

`GstPlayer.PlayerState.PLAYING` (3) –

the player is currently playing a stream.

The results of the search are